<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
 >

    <LinearLayout
        android:id="@+id/show_step_row"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginBottom="5dip"
        android:layout_marginLeft="15dip"
        android:layout_marginRight="15dip"
        android:layout_marginTop="5dip"
        android:gravity="center_horizontal"
        android:orientation="vertical" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="5dip"
            android:layout_marginTop="5dip"
            android:orientation="horizontal"
            android:paddingBottom="15dip"
            android:paddingTop="15dip"
            android:weightSum="2" >

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="fill_parent"
                android:layout_centerHorizontal="true"
                android:layout_marginLeft="60dip"
                android:layout_weight="1" >


                <TextView
                    android:id="@+id/step_counter"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Step counter" />

                <TextView
                    android:id="@+id/show_step"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/step_counter"
                    android:layout_marginTop="10dip"
                    android:layout_weight="1"
                    android:textSize="55sp" />
            </RelativeLayout>

            
        </LinearLayout>

        <LinearLayout
            android:id="@+id/btn_row"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dip"
            android:layout_marginRight="15dip"
            android:layout_marginTop="5dip" >

            <Button
                android:id="@+id/start"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_marginRight="5dip"
                android:layout_weight="1"
                android:onClick="onClick"
                android:padding="5dip"
                android:text="Start"
                android:textColor="@android:color/white"
                android:textSize="25sp"
                android:textStyle="bold" />

            <Button
                android:id="@+id/stop"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dip"
                android:layout_weight="1"
                android:onClick="onClick"
                android:padding="5dip"
                android:text="Pause"
                android:textColor="@android:color/white"
                android:textSize="25sp"
                android:textStyle="bold" />
        </LinearLayout>
    </LinearLayout>

    
    
    
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@id/show_step_row"
        android:layout_marginLeft="15dip"
        android:layout_marginRight="15dip"
        android:baselineAligned="false"
        android:orientation="horizontal"
        android:paddingBottom="10dip"
        android:paddingLeft="15dip"
        android:paddingRight="15dip"
        android:paddingTop="10dip" >

        <LinearLayout
            android:layout_width="0dip"
            android:layout_height="wrap_content"
            android:layout_weight="2"
            android:gravity="center_horizontal"
            android:orientation="vertical" >

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Use_time" />

            <TextView
                android:id="@+id/timer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:textColor="@android:color/black"
                android:textSize="25sp" />
        </LinearLayout>

        <TableLayout
            android:layout_width="0dip"
            android:layout_height="wrap_content"
            android:layout_weight="3"
            android:paddingLeft="5dip"
            android:paddingRight="5dip"
            android:stretchColumns="1" >

            <TableRow
                android:id="@+id/hide1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                   
                    android:text="Distance" />

                <TextView
                    android:id="@+id/distance"
                    android:gravity="right" />

                <TextView
                    android:gravity="right"
                    android:text="Km" />
            </TableRow>

            <TableRow
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    android:text="Calories" />

                <TextView
                    android:id="@+id/calories"
                    android:gravity="right" />

                <TextView
                    android:gravity="right"
                    android:text="Calorie" />
            </TableRow>

            <TableRow
                android:id="@+id/hide2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" >

                <TextView
                    android:text="Velocity" />

                <TextView
                    android:id="@+id/velocity"
                    android:gravity="right" />

                <TextView
                    android:gravity="right"
                    android:text="kilometer_per_hour" />
            </TableRow>
        </TableLayout>
    </LinearLayout>

    <TableLayout
        android:id="@+id/show_daily"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/show_step_row"
        android:layout_marginBottom="10dip"
        android:layout_marginLeft="15dip"
        android:layout_marginRight="15dip"
        android:layout_marginTop="5dip"
        android:stretchColumns="5" >

        <TableRow
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dip"
            android:layout_marginTop="20dip" >

            <TextView
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_column="0"
                android:layout_weight="1"
                android:gravity="center_horizontal"
                android:text="daily"
                android:textColor="@android:color/black" />

            <TextView
                android:id="@+id/week_day"
                android:layout_width="0dip"
                android:layout_height="wrap_content"
                android:layout_column="1"
                android:layout_weight="1"
                android:gravity="center_horizontal"
                android:textColor="@android:color/black" />
        </TableRow>

        

         </TableLayout>

</RelativeLayout>